Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ContentStreamSerializer

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  LocalContentStream

    public interface class ContentStreamSerializer

extends java.io.Serializable

A ContentStreamSerializer is used to allow ContentStreams to be remoted. This object is serializable, whereas InputStreams are not.

(Unpublished)

Field Summary
`static int` | `CONTENTTYPE_CONTENTROWREF` Content type indicating the content is available via a direct reference to a content row using a content ID.
`static int` | `CONTENTTYPE_COPIEDCONTENT` Content type indicating the content is available via copying an existing ContentObject.
`static int` | `CONTENTTYPE_EMPTY` Content type indicating an empty LOB.
`static int` | `CONTENTTYPE_PATH` Content type indicating the content is available via a local file path.
`static int` | `CONTENTTYPE_READER` Content type indicating a Reader.
`static int` | `CONTENTTYPE_REFERENCE` Content type indicating the content is specified by a string reference that is interpreted by the Media instance.
`static int` | `CONTENTTYPE_SHAREDCONTENT` Content type indicating the content is available via sharing an existing ContentObject.
`static int` | `CONTENTTYPE_STREAM` Content type indicating an InputStream.
`static int` | `CONTENTTYPE_STRING` Content type indicating explicit content, specified as a String.
`static int` | `CONTENTTYPE_UNKNOWN` Invalid or uninitialized content type.

Method Summary
`java.io.Reader` | `getContentReader()` Get the content as a reader.
`java.lang.String` | `getContentReference()` Gets the content as a string reference that is interpreted by the Media instance.
`java.lang.Long` | `getContentRowReference()` Get the content as a content row ID reference.
`java.io.InputStream` | `getContentStream()` Get the content as a stream.
`java.lang.String` | `getContentString()` Get the content as an explicit String.
`int` | `getContentType()` Get the content type.
`AttributeValue` | `getCopiedContent()` Get the content as an AttributeValue reference to another ContentObject.
`java.lang.String` | `getLocalContentPath()` Get the content as a path to a file in the local file system.
`AttributeValue` | `getSharedContent()` Get the content as an AttributeValue reference to another ContentObject.
`void` | `setContentReader(java.io.Reader content)` Set the content as a Reader.
`void` | `setContentReference(LibrarySessionInterface session, java.lang.String reference)` Sets the content as a string reference that is interpreted by the Media instance.
`void` | `setContentRowReference(LibrarySessionInterface session, java.lang.Long content)` Set the content as a content row ID reference.
`void` | `setContentStream(java.io.InputStream content)` Set the content as a stream.
`void` | `setContentString(java.lang.String content)` Set the content as an explicit String.
`void` | `setCopiedContent(AttributeValue content)` Set the content as an AttributeValue reference to another ContentObject.
`void` | `setEmptyContent()` Set the content explicitly as "empty content".
`void` | `setLocalContentPath(java.lang.String path)` Set the content as a path to a file in the local file system.
`void` | `setSharedContent(AttributeValue content)` Set the content as an AttributeValue reference to another ContentObject.

Field Detail

### CONTENTTYPE_UNKNOWN

    static final int CONTENTTYPE_UNKNOWN

  Description copied from interface: `ContentStreamSerializer`
  Invalid or uninitialized content type.

  See Also:
    Constant Field Values
  (Published)

### CONTENTTYPE_EMPTY

    static final int CONTENTTYPE_EMPTY

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating an empty LOB.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_STREAM

    static final int CONTENTTYPE_STREAM

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating an InputStream.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_READER

    static final int CONTENTTYPE_READER

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating a Reader.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_STRING

    static final int CONTENTTYPE_STRING

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating explicit content, specified as a String.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_PATH

    static final int CONTENTTYPE_PATH

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating the content is available via a local file path.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_COPIEDCONTENT

    static final int CONTENTTYPE_COPIEDCONTENT

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating the content is available via copying an existing ContentObject.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_CONTENTROWREF

    static final int CONTENTTYPE_CONTENTROWREF

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating the content is available via a direct reference to a content row using a content ID.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_SHAREDCONTENT

    static final int CONTENTTYPE_SHAREDCONTENT

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating the content is available via sharing an existing ContentObject.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTYPE_REFERENCE

    static final int CONTENTTYPE_REFERENCE

  Description copied from interface: `ContentStreamSerializer`
  Content type indicating the content is specified by a string reference that is interpreted by the Media instance.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getContentType

    int getContentType()

  Description copied from interface: `ContentStreamSerializer`
  Get the content type.

  Must be one of the valid Content type constants defined in this interface.

  Returns:
    the content type
  (Unpublished)

### setEmptyContent

    void setEmptyContent()

  Description copied from interface: `ContentStreamSerializer`
  Set the content explicitly as "empty content".

  (Unpublished)

### getContentStream

    java.io.InputStream getContentStream()
                                         throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Get the content as a stream.

  Returns:
    the content as a stream
  Throws:
    `IfsException`
  (Unpublished)

### setContentStream

    void setContentStream(java.io.InputStream content)

  Description copied from interface: `ContentStreamSerializer`
  Set the content as a stream.

  Parameters:
    `content` - the content as a stream
  (Unpublished)

### getContentReader

    java.io.Reader getContentReader()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as a reader.

  Returns:
    the content as a reader
  (Unpublished)

### setContentReader

    void setContentReader(java.io.Reader content)

  Description copied from interface: `ContentStreamSerializer`
  Set the content as a Reader.

  Parameters:
    `content` - the content as a Reader
  (Unpublished)

### getContentString

    java.lang.String getContentString()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as an explicit String.

  Returns:
    the content as a String
  (Unpublished)

### setContentString

    void setContentString(java.lang.String content)
                          throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Set the content as an explicit String.

  Parameters:
    `content` - the content as a String
  Throws:
    `IfsException`
  (Unpublished)

### getLocalContentPath

    java.lang.String getLocalContentPath()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as a path to a file in the local file system.

  Returns:
    the content as a local file path
  (Unpublished)

### setLocalContentPath

    void setLocalContentPath(java.lang.String path)
                             throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Set the content as a path to a file in the local file system.

  Parameters:
    `path` - the content as a local file path
  Throws:
    `IfsException`
  (Unpublished)

### getCopiedContent

    AttributeValue getCopiedContent()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as an AttributeValue reference to another ContentObject.

  Returns:
    the content as ContentObject value
  (Unpublished)

### setCopiedContent

    void setCopiedContent(AttributeValue content)

  Description copied from interface: `ContentStreamSerializer`
  Set the content as an AttributeValue reference to another ContentObject.

  Parameters:
    `content` - the content as ContentObject value
  (Unpublished)

### getSharedContent

    AttributeValue getSharedContent()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as an AttributeValue reference to another ContentObject.

  Returns:
    the content as ContentObject value
  (Unpublished)

### setSharedContent

    void setSharedContent(AttributeValue content)

  Description copied from interface: `ContentStreamSerializer`
  Set the content as an AttributeValue reference to another ContentObject.

  Parameters:
    `content` - the content as ContentObject value
  (Unpublished)

### getContentRowReference

    java.lang.Long getContentRowReference()

  Description copied from interface: `ContentStreamSerializer`
  Get the content as a content row ID reference.

  Returns:
    the content as a content row ID reference.
  (Unpublished)

### setContentRowReference

    void setContentRowReference(LibrarySessionInterface session,
                                java.lang.Long content)
                                throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Set the content as a content row ID reference.

  This operation requires administration mode.

  Parameters:
    `session` - a session; must be in admin mode
    `content` - the content as a content row ID reference.
  Throws:
    `IfsException`
  (Unpublished)

### getContentReference

    java.lang.String getContentReference()
                                         throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Gets the content as a string reference that is interpreted by the Media instance.

  Returns:
    the content reference
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setContentReference

    void setContentReference(LibrarySessionInterface session,
                             java.lang.String reference)
                             throws IfsException

  Description copied from interface: `ContentStreamSerializer`
  Sets the content as a string reference that is interpreted by the Media instance.

  This operation requires administration mode.

  Parameters:
    `session` - a session; must be in admin mode
    `reference` - the content reference
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD